Bug 1252525 - For New Data Center dialog need to "jump" to first section with validation error upon click on "OK"
Summary: For New Data Center dialog need to "jump" to first section with validation er...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.6.0
Assignee: Alexander Wels
QA Contact: Karolína Hajná
URL:
Whiteboard: ux
Depends On:
Blocks: 1057386
TreeView+ depends on / blocked
 
Reported: 2015-08-11 15:42 UTC by Ravi Nori
Modified: 2016-05-20 01:24 UTC (History)
10 users (show)

Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:29:11 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1057386 unspecified CLOSED [RFE] for dialogs with side sections (e.g. New VM, New Cluster): need to "jump" to first section with validation error u... 2020-10-14 00:28:05 UTC
oVirt gerrit 45328 master MERGED webadmin: New datacenter invalid highlight Never
oVirt gerrit 45468 ovirt-engine-3.6 MERGED webadmin: New datacenter invalid highlight Never

Internal Links: 1057386

Description Ravi Nori 2015-08-11 15:42:54 UTC
Description of problem:

When creating a new data center leave the name field blank and then navigate to another page of the dialog "MAC Address Pool", then click OK. Nothing visible happens. The dialog does not do anything.

Version-Release number of selected component (if applicable): 3.6


How reproducible: 


Steps to Reproduce:
1. Open New Data Center dialog
2. Leave Name empty
3. Go to "MAC Address Pool" tab
4. click ok

Actual results: Nothing visible happens


Expected results: The user is taken to the dialog where the missing required field should be filled (and is correctly marked in red).

Comment 1 Einav Cohen 2015-08-11 16:07:31 UTC
found during ovirt 3.6 test day when attempting to verify bug 1057386.

Comment 2 Karolína Hajná 2015-09-11 05:58:46 UTC
Verified on 3.6.0-11

Comment 3 Sandro Bonazzola 2015-11-04 11:29:11 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.